Refund Payment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⚠️

Do not execute a refund while another is in progress. Wait for the current operation to complete before starting a new one.

This endpoint allows you to issue a refund for an existing payment.

If you specify an amount, a partial refund will be created. If the amount is omitted, a full refund of the original payment will be processed.

Refunds can only be created for charges that have not been refunded yet. The refunded amount will be returned to the original payment method used in the transaction.

Note that this request requires an X-Idempotency-Key. Check the Authentication page for more information.

Path Params
string
required

The unique identifier of the payment (UUID, 36 chars).

string
required

The unique identifier of the transaction (UUID, 36 chars).

Body Params
string

Description of the refund. (MAX 255; MIN 3).

string
enum

Indicating the reason for the refund. If set, possible values are DUPLICATE, FRAUDULENT, REQUESTED_BY_CUSTOMER, and REVERSE. Use REVERSE to request an automatic reverse of the recipient funds when a recipient is involved in the transaction.

Allowed:
string
required

Identification of the payment transaction defined by the merchant (MAX 255; MIN 3).

amount
object

Specifies the amount object for refund. Only required for partial refunds.

split_marketplace
array of objects

Split marketplace array of objects

split_marketplace
boolean

Determines whether Yuno should automatically attempt to refund a payment after an initial error or decline. When set to true, Yuno will retry the process if the first attempt fails. By default, this is set to false. Access Transaction Retries for more details.

response_additional_data
object

Specifies additional data for required the transaction response

customer_payer
object

Specifies customer object for payments.

payment_method
object

Specifies payment method object for payments.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json